scim_socket.h File Reference

Socket interfaces. More...

## Classes

class | scim::SocketError
| An exception class to hold Socket related errors. More...
class | scim::SocketAddress
| The class to hold a socket address. More...
class | scim::Socket
| Socket communication class. More...
class | scim::SocketServer
| Socket Server class. More...
class | scim::SocketClient
| Socket client class. More...

## Namespaces

namespace | scim

## Typedefs

typedef Slot2< void, SocketServer *, const Socket & > | scim::SocketServerSlotSocket
typedef Signal2< void, SocketServer *, const Socket & > | scim::SocketServerSignalSocket

## Enumerations

enum | scim::SocketFamily { scim::SCIM_SOCKET_UNKNOWN , scim::SCIM_SOCKET_LOCAL , scim::SCIM_SOCKET_INET }
| The vaild socket address/protocol family,. More...

## Functions

String | scim::scim_get_default_socket_frontend_address ()
| Get the default socket address of SocketFrontEnd.
String | scim::scim_get_default_socket_imengine_address ()
| Get the default socket address of SocketIMEngine.
String | scim::scim_get_default_socket_config_address ()
| Get the default socket address of SocketConfig.
String | scim::scim_get_default_panel_socket_address (const String &display)
| Get the default socket address of the Panel running on localhost.
String | scim::scim_get_default_helper_manager_socket_address ()
| Get the default socket address of Helper Manager Server running on localhost.
int | scim::scim_get_default_socket_timeout ()
| Get the default socket timeout value.
bool | scim::scim_socket_open_connection (uint32 &key, const String &client_type, const String &server_type, const Socket &socket, int timeout=-1)
| Helper function to open a connection to a socket server with a standard hand shake protocol.
String | scim::scim_socket_accept_connection (uint32 &key, const String &server_types, const String &client_types, const Socket &socket, int timeout=-1)
| Helper function to accept a connection request from a socket client with a standard hand shake protocol.

## Detailed Description

Socket interfaces.